task picard {

	File vcf
	String sample
	File ref_dir
	String fasta
	File chain_dir
	String chain
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		java -jar /usr/bin/picard/picard.jar LiftoverVcf I = ${vcf} O = ${sample}_picard.vcf CHAIN = ${chain_dir}/${chain} R = ${ref_dir}/${fasta}
	>>>
	
	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File picard_vcf = "${sample}_picard.vcf"
	}
}